import ctypes

def calc(libc, height, weight):
    print("Starting calculation for Height {0} and Weight {1}".format(height, weight))
    c_calc_func = libc.calc
    # First, treat return type
    c_calc_func.restype = ctypes.POINTER(ctypes.c_char)
    # Now, marshall the function attributes
    c_height = ctypes.c_double(height)
    c_weight = ctypes.c_double(weight)
    # And create a new object to store the return
    calc_func_obj = c_calc_func(c_height, c_weight)
    result = ctypes.c_char_p.from_buffer(calc_func_obj)
    print("Result: {0}".format(result.value))

if __name__ == "__main__":
    LIBC = ctypes.CDLL("bmicalclib.so")
    calc(LIBC, 1.70, 71.0)